## org.w3c.tools.resources.event
Class ResourceEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--org.w3c.tools.resources.event.ResourceEvent

Direct Known Subclasses:
  AttributeChangedEvent, FrameEvent, StructureChangedEvent

public class ResourceEvent
extends java.util.EventObject

See Also:
  Serialized Form

Field Summary
`protected int` | `id`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ResourceEvent(java.lang.Object source, int id)`

Method Summary
`int` | `getID()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected int id

Constructor Detail

### ResourceEvent

    public ResourceEvent(java.lang.Object source,
                         int id)

Method Detail

### getID

    public int getID()